export interface IMQCLIConfig {
    [options: string]: any;
}
/**
 * Loads config from file and returns config object
 *
 * @return {IMQCLIConfig}
 */
export declare function loadConfig(): IMQCLIConfig;
/**
 * Saves given config object to config file
 *
 * @param {IMQCLIConfig} config
 */
export declare function saveConfig(config: IMQCLIConfig): void;
/**
 * Checks if current config file contains empty config
 *
 * @return {boolean}
 */
export declare function configEmpty(): boolean;
/**
 * Prepares config value.
 * Actually it is used when the set command is called to cast
 * a given string value to a proper JSON-compatible object
 *
 * @param {any} value
 * @return {any}
 */
export declare function prepareConfigValue(value: any): any;
