"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VERSION = exports.IS_ZSH = exports.CONFIG_PATH = exports.CONFIG_FILENAME = exports.CUSTOM_TPL_HOME = exports.TPL_HOME = exports.TPL_REPO = exports.IMQ_HOME = exports.OS_HOME = void 0;
/*!
 * IMQ-CLI library: constants
 *
 * Copyright (c) 2018, imqueue.com <support@imqueue.com>
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
 * REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
 * INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 */
const os = require("os");
const path_1 = require("./path");
exports.OS_HOME = os.homedir() || String(process.env['HOME']);
exports.IMQ_HOME = '~/.imq';
exports.TPL_REPO = 'git@github.com:imqueue/templates.git';
exports.TPL_HOME = (0, path_1.resolve)(exports.IMQ_HOME, 'templates');
exports.CUSTOM_TPL_HOME = (0, path_1.resolve)(exports.IMQ_HOME, 'custom-templates');
exports.CONFIG_FILENAME = 'config.json';
exports.CONFIG_PATH = (0, path_1.resolve)(exports.IMQ_HOME, exports.CONFIG_FILENAME);
exports.IS_ZSH = Object.keys(process.env).some(key => /^ZSH/.test(key));
exports.VERSION = require(`${__dirname}/../package.json`).version;
//# sourceMappingURL=constants.js.map