/**
 * Copy contents from source directory to destination directory
 * recursively
 *
 * @param {string} from
 * @param {string} to
 */
export declare function cpr(from: string, to: string): void;
/**
 * Removes directory and all its content recursively
 *
 * @param {string} path
 */
export declare function rmdir(path: string): void;
/**
 * Silently recursively creates all directories in a given path
 *
 * @param {string} path - path to create
 */
export declare function mkdirp(path: string): void;
/**
 * Silently creates a file under given file path.
 * If content of a file is omitted, will create an empty file.
 *
 * @param {string} path - path to file to create
 * @param {string} [content] - file contents to put in
 */
export declare function touch(path: string, content?: string): void;
