/**
 * Sleep given number of milliseconds
 *
 * @param {number} delay - sleep time in milliseconds
 */
export declare function sleep(delay: number): Promise<void>;
export interface NodeVersion {
    version: string;
    date: string;
    files: string[];
    lts: boolean | string;
    v8: string;
    npm?: string;
    uv?: string;
    zlib?: string;
    openssl?: string;
    modules?: string;
}
/**
 * Compares semver, used for sorting
 *
 * @param {string} a
 * @param {string} b
 * @return {number | number}
 */
export declare function semverCompare(a: string, b: string): 0 | 1 | -1;
/**
 * Loads and returns node all known version definitions from
 * nodejs.org distributions
 *
 * @param {boolean} force
 * @return {Promise<NodeVersion[]>}
 */
export declare function getNodeVersions(force?: boolean): Promise<NodeVersion[]>;
/**
 * Returns fully qualified node version string for a given tag
 *
 * @param {string} tag
 * @return {Promise<string>}
 */
export declare function nodeVersion(tag: string): Promise<any>;
/**
 * Converts given node tags to valid travis node tags
 *
 * @param {string | string[]} tags
 * @return {Promise<string[]>}
 */
export declare function toTravisTags(tags: string | string[]): Promise<string[]>;
