"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolve = void 0;
/*!
 * IMQ-CLI library: path
 *
 * Copyright (c) 2018, imqueue.com <support@imqueue.com>
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
 * REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
 * INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 */
const p = require("path");
const constants_1 = require("./constants");
/**
 * Resolves given path to an absolute canonical path
 *
 * @param {...string[]} args
 */
function resolve(...args) {
    const paths = [];
    for (let path of args) {
        if (path.charAt(0) === '~') {
            path = constants_1.OS_HOME + path.substr(1);
        }
        paths.push(path);
    }
    return p.normalize(p.resolve.apply(p, paths));
}
exports.resolve = resolve;
//# sourceMappingURL=path.js.map