/**
 * Wraps words of given text to match given char width, using given indentation
 *
 * @param {string} text
 * @param {number} width
 * @param {string} indent
 * @return {string}
 */
export declare function wrap(text: string, width?: number, indent?: string): any;
/**
 * Checks if a git command available. If no - throws an error
 *
 * @throws Error
 */
export declare function checkGit(): void;
/**
 * Load IMQ templates from templates git repository
 *
 * @return {Promise<any>}
 */
export declare function loadTemplates(): Promise<any>;
/**
 * Updates local copy of templates repo from remote source
 *
 * @return {Promise<void>}
 */
export declare function updateTemplates(): Promise<void>;
/**
 * Loads custom template from a given git repository
 *
 * @param {string} url
 * @return {Promise<string>}
 */
export declare function loadTemplate(url: string): Promise<string>;
